<?
###########################################################################################
#                                                                                         #
# PHPFormMail Version 1.0                                                                  #
#                                                                                         #
# Durch die Installation oder Benutzung erklren Sie sich mit der Lizenzvereinbarung      #
# einverstanden.                                                                          #
#                                                                                         #
# Lizenzumfang:                                                                           #
# 1. Sie drfen die Software beliebig verndern um das Design an Ihre Homepage anzupassen.#
#                                                                                         #
# 2. Das Entfernen des Linkes auf unsere Seite ist nicht Erlaubt und darf nur Erfolgen    #
#    wenn Sie in unserem Shop eine Lizenz Erworben haben.                                 #
# 3. Es ist nicht gestattet die Software zu verleihen, vermieten, weiterzuverbreiten,     #
#    weder im Original noch im modifizierten Zustand, weder kostenlos noch gegen Entgelt. #
#                                                                                         #
# 4. Haftung: Rolf Roessel haftet nicht fr mittelbare Schden oder Folgeschden,         #
#    insbesondere nicht fr entgangenen Gewinn, es sei denn, diese Schden beruhen        #
#    auf Vorsatz. Es wird dringend empfohlen, unsere Software vor dem tatschlichen       #
#    Einsatz umfassend in einer nicht kritischen Umgebung zu testen. Sie tragen           #
#    das gesamte Risiko dafr, dass das Programm fr die von Ihnen angestrebten           #
#    Zwecke genutzt werden kann.                                                          #
#                                                                                         #
# 5. Jegliche Rechte an der Software, die mit dieser Lizenzvereinbarung nicht             #
#    ausdrcklich an Sie bertragen werden, bleiben ausschlielich Rolf Roessel           #
#    vorbehalten.                                                                         #
#                                                                                         #
# http://www.php-spezial.de.de                                                            #
# webmaster@php-spezial.de.de                                                             #
#                                                                                         #
# Copyright  2003 bei Rolf Roessel alle Rechte vorbehalten.                              #
###########################################################################################

  class mime_mail
   {
   var $parts;
   var $to;
   var $from;
   var $headers;
   var $subject;
   var $body;

   function mime_mail()
    {
    $this->parts = array();
    $this->to = "";
    $this->from = "";
    $this->subject = "";
    $this->body = "";
    $this->headers = "";
    }

   function add_attachment($message, $name = "", $ctype = "application/octet-stream")
    {
    $this->parts[] = array (
                            "ctype" => $ctype,
                            "message" => $message,
                            "encode" => $encode,
                            "name" => $name
                            );
    }

  function build_message($part)
   {
   $message = $part["message"];
   $message = chunk_split(base64_encode($message));
   $encoding = "base64";
   if ($part["name"]!="") {
      $dispstring = "Content-Disposition: attachment; filename=\"$part[name]\"\n";
   }
   return "Content-Type: ".$part["ctype"].
                          ($part["name"]?"; name = \"".$part["name"]."\"" : "").
                          "\nContent-Transfer-Encoding: $encoding\n".$dispstring."\n$message\n";
   }

  function build_multipart()
   {
   $boundary = "b".md5(uniqid(time()));
   $multipart = "Content-Type: multipart/mixed; boundary=$boundary\n\nThis is a MIME encoded message.\n\n--$boundary";

   for($i = sizeof($this->parts)-1; $i >= 0; $i--)
      {
      $multipart .= "\n".$this->build_message($this->parts[$i])."--$boundary";
      }
   return $multipart.= "--\n";
   }

  function send()
   {
   $mime = "";
   if (!empty($this->from))
      $mime .= "From: ".$this->from."\n";
   if (!empty($this->headers))
      $mime .= $this->headers."\n";

   if (!empty($this->body))
      $this->add_attachment($this->body, "", "text/plain");
   $mime .= "MIME-Version: 1.0\n".$this->build_multipart();
   $success = mail($this->to, $this->subject, "", $mime);

   }
  };

?>
